"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var jsx_runtime_1 = require("react/jsx-runtime");
var react_2 = require("react");
var Badge_1 = require("@patternfly/react-core/dist/dynamic/components/Badge");
var MenuToggle_1 = require("@patternfly/react-core/dist/dynamic/components/MenuToggle");
var Select_1 = require("@patternfly/react-core/dist/dynamic/components/Select");
var Select_2 = require("@patternfly/react-core/dist/dynamic/components/Select");
var Select_3 = require("@patternfly/react-core/dist/dynamic/components/Select");
var omit_1 = __importDefault(require("lodash/omit"));
var TextFilter_1 = require("./TextFilter");
var CheckboxFilter = function (_a) {
    var _b = _a.items, items = _b === void 0 ? [] : _b, _c = _a.value, value = _c === void 0 ? [] : _c, onChange = _a.onChange, _d = _a.isDisabled, isDisabled = _d === void 0 ? false : _d, props = __rest(_a, ["items", "value", "onChange", "isDisabled"]);
    var placeholder = props.placeholder, className = props.className;
    var _e = (0, react_2.useState)(false), isExpanded = _e[0], setExpanded = _e[1];
    var onSelect = function (event, selection) {
        var shouldRemove = value.includes(selection);
        var newSelection = shouldRemove
            ? value.filter(function (v) {
                if ((0, TextFilter_1.isFilterValue)(selection)) {
                    return v !== selection.value;
                }
                return v !== selection;
            })
            : __spreadArray(__spreadArray([], value, true), [selection], false);
        onChange === null || onChange === void 0 ? void 0 : onChange(event, newSelection, selection);
    };
    var toggle = function (toggleRef) { return ((0, jsx_runtime_1.jsxs)(MenuToggle_1.MenuToggle, { "aria-label": "Options menu", isDisabled: isDisabled, onClick: function () { return setExpanded(function (prev) { return !prev; }); }, ref: toggleRef, isExpanded: isExpanded, isFullWidth: true, children: [placeholder, value.length > 0 && ((0, jsx_runtime_1.jsx)(Badge_1.Badge, { className: "pf-v6-u-ml-sm", isRead: true, children: value.length }))] })); };
    return ((0, jsx_runtime_1.jsx)(Select_1.Select, { role: "menu", toggle: toggle, className: className, onOpenChange: function (isExpanded) { return setExpanded(isExpanded); }, onSelect: function (event, value) { return onSelect(event, value); }, isOpen: isExpanded, ouiaId: placeholder, popperProps: { appendTo: 'inline' }, children: (0, jsx_runtime_1.jsx)(Select_2.SelectList, { "aria-label": "Options menu", children: items.map(function (_a, key) {
                var optionValue = _a.value, onClick = _a.onClick, label = _a.label, id = _a.id, item = __rest(_a, ["value", "onClick", "label", "id"]);
                return ((0, react_1.createElement)(Select_3.SelectOption, __assign({ hasCheckbox: true, isSelected: value.includes(optionValue) }, (0, omit_1.default)(item, 'onChange'), { key: id || key, value: String(optionValue || id || key), onClick: function (e) {
                        onClick === null || onClick === void 0 ? void 0 : onClick(e, __assign({ value: optionValue, label: label, id: id }, item), key);
                    } }), label));
            }) }) }));
};
exports.default = CheckboxFilter;
//# sourceMappingURL=CheckboxFilter.js.map