"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.typeMapper = exports.conditionalFilterType = void 0;
exports.identifyComponent = identifyComponent;
var react_1 = require("react");
var TextFilter_1 = __importDefault(require("./TextFilter"));
var CheckboxFilter_1 = __importDefault(require("./CheckboxFilter"));
var RadioFilter_1 = __importDefault(require("./RadioFilter"));
var GroupFilter_1 = __importDefault(require("./GroupFilter"));
var SingleSelectFilter_1 = __importDefault(require("./SingleSelectFilter"));
exports.conditionalFilterType = {
    text: 'text',
    checkbox: 'checkbox',
    radio: 'radio',
    custom: 'custom',
    group: 'group',
    singleSelect: 'singleSelect',
};
exports.typeMapper = {
    text: TextFilter_1.default,
    checkbox: CheckboxFilter_1.default,
    radio: RadioFilter_1.default,
    custom: react_1.Fragment,
    group: GroupFilter_1.default,
    singleSelect: SingleSelectFilter_1.default,
};
function identifyComponent(type, props) {
    return true;
}
//# sourceMappingURL=conditionalFilterConstants.js.map