import React from 'react';
import { TooltipProps } from '@patternfly/react-core/dist/dynamic/components/Tooltip';
import './CullingInformation.scss';
import { CullingDate } from './utils';
export type Render = (config: {
    msg: string;
}) => React.ReactElement<any, any> | null;
export interface CullingInformation extends TooltipProps {
    className: string;
    staleWarning: CullingDate;
    culled: CullingDate;
    stale: CullingDate;
    currDate: CullingDate;
    children?: React.ReactElement<any, string | React.JSXElementConstructor<any>> | undefined;
    render?: Render;
}
declare const CullingInformation: React.FunctionComponent<CullingInformation>;
export default CullingInformation;
