"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = __importDefault(require("react"));
var exclamation_circle_icon_1 = __importDefault(require("@patternfly/react-icons/dist/dynamic/icons/exclamation-circle-icon"));
var exclamation_triangle_icon_1 = __importDefault(require("@patternfly/react-icons/dist/dynamic/icons/exclamation-triangle-icon"));
var Tooltip_1 = require("@patternfly/react-core/dist/dynamic/components/Tooltip");
var classnames_1 = __importDefault(require("classnames"));
require("./CullingInformation.css");
var utils_1 = require("./utils");
var CullingInformation = function (_a) {
    var _b = _a.culled, culled = _b === void 0 ? new Date(0) : _b, className = _a.className, _c = _a.staleWarning, staleWarning = _c === void 0 ? new Date(0) : _c, _d = _a.stale, stale = _d === void 0 ? new Date(0) : _d, _e = _a.currDate, currDate = _e === void 0 ? new Date(0) : _e, children = _a.children, render = _a.render, props = __rest(_a, ["culled", "className", "staleWarning", "stale", "currDate", "children", "render"]);
    if (new Date(currDate).valueOf() - new Date(stale).valueOf() < 0) {
        return render
            ? render({
                msg: '',
            })
            : children || null;
    }
    var _f = (0, utils_1.calculateTooltip)(culled, staleWarning, currDate), isWarn = _f.isWarn, isError = _f.isError, msg = _f.msg;
    if (render) {
        return ((0, jsx_runtime_1.jsxs)("span", { className: (0, classnames_1.default)({
                'ins-c-inventory__culling-warning': isWarn,
                'ins-c-inventory__culling-danger': isError,
            }, className), children: [isWarn && (0, jsx_runtime_1.jsx)(exclamation_triangle_icon_1.default, {}), isError && (0, jsx_runtime_1.jsx)(exclamation_circle_icon_1.default, {}), render({ msg: msg })] }));
    }
    return ((0, jsx_runtime_1.jsx)(react_1.default.Fragment, { children: (0, jsx_runtime_1.jsx)(Tooltip_1.Tooltip, __assign({}, props, { content: msg, position: "bottom", children: (0, jsx_runtime_1.jsxs)("span", { className: (0, classnames_1.default)({
                    'ins-c-inventory__culling-warning': isWarn,
                    'ins-c-inventory__culling-danger': isError,
                }, className), children: [isError && (0, jsx_runtime_1.jsx)(exclamation_circle_icon_1.default, {}), isWarn && (0, jsx_runtime_1.jsx)(exclamation_triangle_icon_1.default, {}), children] }) })) }));
};
exports.default = CullingInformation;
//# sourceMappingURL=CullingInformation.js.map