import React from 'react';
import { TooltipProps } from '@patternfly/react-core/dist/dynamic/components/Tooltip';
import { DateType } from './helper';
export interface DateFormatProps {
    date: Date | number | string;
    type?: Exclude<DateType, 'invalid'>;
    extraTitle?: React.ReactNode;
    tooltipProps?: TooltipProps;
}
declare const DateFormat: React.FunctionComponent<DateFormatProps>;
export default DateFormat;
