import React from 'react';
import { TooltipProps } from '@patternfly/react-core/dist/dynamic/components/Tooltip';
export declare const addTooltip: (date: React.ReactNode, element?: React.ReactElement, tooltipProps?: TooltipProps, extraTitle?: React.ReactNode) => import("react/jsx-runtime").JSX.Element;
export type DateType = 'exact' | 'onlyDate' | 'relative' | 'invalid';
export declare const dateStringByType: (type: DateType) => ((date: Date) => string) | ((date: Date) => string) | ((date: Date) => string) | (() => string);
export declare const dateByType: (type: DateType, tooltipProps?: TooltipProps, extraTitle?: React.ReactNode) => ((date: Date) => string) | ((date: Date) => string) | ((date: Date) => import("react/jsx-runtime").JSX.Element) | (() => string);
