import React from 'react';
import './filter-chips.scss';
export type FilterChip = {
    id?: string;
    name: string;
    isRead?: boolean;
    count?: number;
};
export type FilterChipGroup = {
    category: string;
    chips: FilterChip[];
};
export type FilterChipsFilter = FilterChip | FilterChipGroup;
export interface FilterChipsProps {
    className?: string;
    filters?: FilterChipsFilter[];
    onDelete?: (event: React.MouseEvent<Element, MouseEvent>, group: FilterChipsFilter[], deleteAll?: boolean) => void;
    onDeleteGroup?: (event: React.MouseEvent<Element, MouseEvent>, group: FilterChipsFilter[], groups: FilterChipGroup[]) => void;
    deleteTitle?: React.ReactNode;
    showDeleteButton?: boolean;
}
declare const FilterChips: React.FunctionComponent<FilterChipsProps>;
export default FilterChips;
