"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = __importStar(require("react"));
var prop_types_1 = __importDefault(require("prop-types"));
var react_core_1 = require("@scalprum/react-core");
var react_redux_1 = require("react-redux");
var Bullseye_1 = require("@patternfly/react-core/dist/dynamic/layouts/Bullseye");
var Spinner_1 = require("@patternfly/react-core/dist/dynamic/components/Spinner");
var InventoryLoadError_1 = __importDefault(require("./InventoryLoadError"));
var classnames_1 = __importDefault(require("classnames"));
var WithHistory_1 = __importDefault(require("./WithHistory"));
var BaseInventoryDetail = function (props) {
    var store = (0, react_redux_1.useStore)();
    var Cmp = props.component;
    return ((0, jsx_runtime_1.jsx)(Cmp, { className: (0, classnames_1.default)(props.className, 'inventory'), children: (0, jsx_runtime_1.jsx)(react_1.Suspense, { fallback: props.fallback, children: (0, jsx_runtime_1.jsx)(react_core_1.ScalprumComponent, __assign({ history: props.history, store: store, appName: "inventory", module: "./InventoryDetail", scope: "inventory", ErrorComponent: (0, jsx_runtime_1.jsx)(InventoryLoadError_1.default, __assign({ component: "InventoryDetailHead" }, props)), ref: props.innerRef }, props)) }) }));
};
BaseInventoryDetail.propTypes = {
    fallback: prop_types_1.default.node,
    innerRef: prop_types_1.default.object,
    component: prop_types_1.default.string,
    className: prop_types_1.default.string,
    history: prop_types_1.default.object,
};
var InventoryDetail = react_1.default.forwardRef(function (props, ref) { return (0, jsx_runtime_1.jsx)(BaseInventoryDetail, __assign({ innerRef: ref }, props)); });
InventoryDetail.propTypes = {
    fallback: prop_types_1.default.node,
    component: prop_types_1.default.string,
    className: prop_types_1.default.string,
};
InventoryDetail.defaultProps = {
    fallback: ((0, jsx_runtime_1.jsx)(Bullseye_1.Bullseye, { className: "pf-v6-u-p-lg", children: (0, jsx_runtime_1.jsx)(Spinner_1.Spinner, { size: "xl" }) })),
    component: 'section',
};
var CompatiblityWrapper = function (props, ref) { return (0, jsx_runtime_1.jsx)(WithHistory_1.default, __assign({ innerRef: ref, Component: InventoryDetail }, props)); };
exports.default = react_1.default.forwardRef(CompatiblityWrapper);
//# sourceMappingURL=InventoryDetail.js.map