"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var classnames_1 = __importDefault(require("classnames"));
var EmptyState_1 = require("@patternfly/react-core/dist/dynamic/components/EmptyState");
var EmptyState_2 = require("@patternfly/react-core/dist/dynamic/components/EmptyState");
var Stack_1 = require("@patternfly/react-core/dist/dynamic/layouts/Stack");
var Stack_2 = require("@patternfly/react-core/dist/dynamic/layouts/Stack");
var hourglass_half_icon_1 = __importDefault(require("@patternfly/react-icons/dist/dynamic/icons/hourglass-half-icon"));
require("./maintenance.css");
var Maintenance = function (_a) {
    var _b = _a.utcStartTime, utcStartTime = _b === void 0 ? '10am' : _b, _c = _a.utcEndTime, utcEndTime = _c === void 0 ? '12am' : _c, _d = _a.startTime, startTime = _d === void 0 ? '6am' : _d, _e = _a.endTime, endTime = _e === void 0 ? '8am' : _e, _f = _a.timeZone, timeZone = _f === void 0 ? 'EST' : _f, description = _a.description, _g = _a.redirectLink, redirectLink = _g === void 0 ? 'https://status.redhat.com/incidents' : _g, className = _a.className, props = __rest(_a, ["utcStartTime", "utcEndTime", "startTime", "endTime", "timeZone", "description", "redirectLink", "className"]);
    var emptyStateClassName = (0, classnames_1.default)(className, 'ins-c-empty-state__maintenance');
    return ((0, jsx_runtime_1.jsx)(EmptyState_1.EmptyState, __assign({ headingLevel: "h4", icon: hourglass_half_icon_1.default, titleText: "Maintenance in progress", className: emptyStateClassName }, props, { children: (0, jsx_runtime_1.jsx)(EmptyState_2.EmptyStateBody, { children: description ? (description) : ((0, jsx_runtime_1.jsxs)(Stack_1.Stack, { children: [(0, jsx_runtime_1.jsx)(Stack_2.StackItem, { children: "We are currently undergoing scheduled maintenance and will be" }), (0, jsx_runtime_1.jsxs)(Stack_2.StackItem, { children: ["unavailable from ", utcStartTime, " to ", utcEndTime, " UTC (", startTime, "-", endTime, " ", timeZone, ")."] }), (0, jsx_runtime_1.jsxs)(Stack_2.StackItem, { children: ["For more information please visit ", (0, jsx_runtime_1.jsx)("a", { href: redirectLink, children: "status.redhat.com" }), "."] })] })) }) })));
};
exports.default = Maintenance;
//# sourceMappingURL=Maintenance.js.map