"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var Button_1 = require("@patternfly/react-core/dist/dynamic/components/Button");
var Popover_1 = require("@patternfly/react-core/dist/dynamic/components/Popover");
var Content_1 = require("@patternfly/react-core/dist/dynamic/components/Content");
var code_branch_icon_1 = __importDefault(require("@patternfly/react-icons/dist/dynamic/icons/code-branch-icon"));
var external_link_alt_icon_1 = __importDefault(require("@patternfly/react-icons/dist/dynamic/icons/external-link-alt-icon"));
var OpenSourceBadge = function (_a) {
    var repositoriesURL = _a.repositoriesURL;
    return ((0, jsx_runtime_1.jsx)(jsx_runtime_1.Fragment, { children: (0, jsx_runtime_1.jsx)(Popover_1.Popover, { bodyContent: (0, jsx_runtime_1.jsxs)(Content_1.Content, { children: [(0, jsx_runtime_1.jsx)(Content_1.Content, { component: "p", children: "This service is open source, so all of its code is inspectable. Explore repositories to view and contribute to the source code." }), (0, jsx_runtime_1.jsx)(Button_1.Button, { component: "a", target: "_blank", variant: "link", icon: (0, jsx_runtime_1.jsx)(external_link_alt_icon_1.default, {}), iconPosition: "right", isInline: true, href: repositoriesURL, children: "Repositories" })] }), id: 'open-source-badge', headerContent: 'About open source', children: (0, jsx_runtime_1.jsx)(Button_1.Button, { icon: (0, jsx_runtime_1.jsx)(code_branch_icon_1.default, {}), variant: "plain", "aria-label": "About Open Services", className: "pf-v6-u-pl-sm open-source-badge" }) }) }));
};
exports.default = OpenSourceBadge;
//# sourceMappingURL=OpenSourceBadge.js.map