import React from 'react';
import { OuiaDataAttributes, OuiaProps } from './Ouia';
export type WithOuiaParams = string | {
    type: string;
    module?: string;
    InnerComponent?: React.ComponentType<OuiaDataAttributes> | string;
};
declare const WithOuia: <P>(Component: React.ComponentType<P>, params: WithOuiaParams) => React.FunctionComponent<React.PropsWithChildren<P & OuiaProps>>;
export default WithOuia;
