import React from 'react';
import { TitleProps } from '@patternfly/react-core/dist/dynamic/components/Title';
export interface PageHeaderTitleProps extends Omit<TitleProps, 'title' | 'headingLevel'> {
    title: React.ReactNode;
    actionsContent?: React.ReactNode;
    ouiaId?: string;
    ouiaSafe?: boolean;
}
declare const PageHeaderTitle: React.FC<PageHeaderTitleProps>;
export default PageHeaderTitle;
