"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var Icon_1 = require("@patternfly/react-core/dist/dynamic/components/Icon");
var Tooltip_1 = require("@patternfly/react-core/dist/dynamic/components/Tooltip");
var question_icon_1 = __importDefault(require("@patternfly/react-icons/dist/dynamic/icons/question-icon"));
var security_icon_1 = __importDefault(require("@patternfly/react-icons/dist/dynamic/icons/security-icon"));
var consts_1 = require("./consts");
var Shield = function (_a) {
    var _b;
    var _c = _a.impact, impact = _c === void 0 ? 'N/A' : _c, _d = _a.hasLabel, hasLabel = _d === void 0 ? false : _d, _e = _a.size, size = _e === void 0 ? 'md' : _e, _f = _a.hasTooltip, hasTooltip = _f === void 0 ? true : _f, _g = _a.disableQuestionIcon, disableQuestionIcon = _g === void 0 ? false : _g;
    var attributes = (_b = consts_1.impactList === null || consts_1.impactList === void 0 ? void 0 : consts_1.impactList[impact]) !== null && _b !== void 0 ? _b : consts_1.impactList.Unknown;
    var badgeProps = {
        'aria-hidden': 'false',
        'aria-label': attributes.title,
        color: attributes.color,
    };
    var badge = attributes.title === 'Unknown' ? (disableQuestionIcon ? null : ((0, jsx_runtime_1.jsx)(Icon_1.Icon, { size: size, children: (0, jsx_runtime_1.jsx)(question_icon_1.default, __assign({}, badgeProps)) }))) : ((0, jsx_runtime_1.jsx)(Icon_1.Icon, { size: size, children: (0, jsx_runtime_1.jsx)(security_icon_1.default, __assign({}, badgeProps)) }));
    var body = ((0, jsx_runtime_1.jsxs)("span", { children: [badge, " ", hasLabel && attributes.title] }));
    return ((0, jsx_runtime_1.jsx)("span", { children: hasTooltip ? ((0, jsx_runtime_1.jsx)(Tooltip_1.Tooltip, { content: (0, jsx_runtime_1.jsx)("div", { children: attributes.message }), position: 'bottom', children: body })) : (body) }));
};
exports.default = Shield;
//# sourceMappingURL=Shield.js.map