import React from 'react';
import { FilterItem, FilterValue } from './TextFilter';
export interface SingleSelectFilterProps {
    className?: string;
    isDisabled?: boolean;
    items?: FilterItem[];
    onChange: (e: React.MouseEvent | React.ChangeEvent | React.FormEvent<HTMLInputElement> | undefined, newSelection: string | FilterValue | (string | FilterValue)[], selection?: string | FilterValue) => void;
    placeholder?: string;
    value?: string | FilterValue | Record<string, any>;
    innerRef?: React.Ref<HTMLInputElement>;
}
declare const SingleSelectFilter: React.FunctionComponent<SingleSelectFilterProps>;
export default SingleSelectFilter;
