var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import { useState } from 'react';
import { MenuToggle } from '@patternfly/react-core/dist/dynamic/components/MenuToggle';
import { Select } from '@patternfly/react-core/dist/dynamic/components/Select';
import { SelectGroup } from '@patternfly/react-core/dist/dynamic/components/Select';
import { SelectList } from '@patternfly/react-core/dist/dynamic/components/Select';
import { SelectOption } from '@patternfly/react-core/dist/dynamic/components/Select';
import { getDefaultOUIAId } from '@patternfly/react-core/dist/dynamic/helpers/OUIA/ouia';
import FilterInput from './FilterInput';
import '../Filters/filter-dropdown.css';
import '../Filters/filter-input.scss';
var ouiaStateId = getDefaultOUIAId('RHI/FilterDropdown');
var FilterDropdown = function (_a) {
    var hideCategories = _a.hideCategories, filters = _a.filters, filterCategories = _a.filterCategories, label = _a.label, _b = _a.ouiaId, ouiaId = _b === void 0 ? ouiaStateId : _b, _c = _a.ouiaSafe, ouiaSafe = _c === void 0 ? true : _c, addFilter = _a.addFilter, removeFilter = _a.removeFilter, props = __rest(_a, ["hideCategories", "filters", "filterCategories", "label", "ouiaId", "ouiaSafe", "addFilter", "removeFilter"]);
    var _d = useState(false), isOpen = _d[0], setIsOpen = _d[1];
    var addRemoveFilters = function (selectedValue, filterName, type, isChecked) {
        console.log({ selectedValue: selectedValue, filterName: filterName });
        if (type === 'checkbox') {
            isChecked ? addFilter === null || addFilter === void 0 ? void 0 : addFilter(filterName, selectedValue, type) : removeFilter === null || removeFilter === void 0 ? void 0 : removeFilter(filterName, selectedValue);
        }
        else {
            addFilter === null || addFilter === void 0 ? void 0 : addFilter(filterName, selectedValue, type);
        }
    };
    return (_jsx(Select, __assign({ className: "ins-c-filter__dropdown" }, props, { onOpenChange: setIsOpen, toggle: function (toggleRef) { return (_jsx(MenuToggle, { ref: toggleRef, isExpanded: isOpen, onClick: function () { return setIsOpen(function (prev) { return !prev; }); }, children: label })); }, isOpen: isOpen, ouiaId: ouiaId, ouiaSafe: ouiaSafe, popperProps: { appendTo: 'inline' }, children: filterCategories.map(function (data, index) {
            return !(hideCategories === null || hideCategories === void 0 ? void 0 : hideCategories.includes(data === null || data === void 0 ? void 0 : data.urlParam)) && (_jsx(SelectGroup, { label: data.title, children: _jsx(SelectList, { children: data.values.map(function (item, key) { return (_jsx(SelectOption, { children: _jsx(FilterInput, { "aria-label": item.label, id: "check".concat(index).concat(key), label: item.label, addRemoveFilters: addRemoveFilters, param: data.urlParam, type: data.type, value: item.value, filters: filters }) }, "check".concat(index).concat(key))); }) }) }, index));
        }) })));
};
export default FilterDropdown;
//# sourceMappingURL=FilterDropdown.js.map