var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import AngleDoubleDownIcon from '@patternfly/react-icons/dist/dynamic/icons/angle-double-down-icon';
import AngleDoubleUpIcon from '@patternfly/react-icons/dist/dynamic/icons/angle-double-up-icon';
import CriticalRiskIcon from '@patternfly/react-icons/dist/dynamic/icons/critical-risk-icon';
import EqualsIcon from '@patternfly/react-icons/dist/dynamic/icons/equals-icon';
import { Label } from '@patternfly/react-core/dist/dynamic/components/Label';
var VALUE_TO_STATE = {
    1: { icon: _jsx(AngleDoubleDownIcon, {}), text: 'Low', color: 'blue' },
    2: { icon: _jsx(EqualsIcon, {}), text: 'Moderate', color: 'yellow' },
    3: { icon: _jsx(AngleDoubleUpIcon, {}), text: 'Important', color: 'orange' },
    4: { icon: _jsx(CriticalRiskIcon, {}), text: 'Critical', color: 'red' },
};
var InsightsLabel = function (_a) {
    var _b = _a.value, value = _b === void 0 ? 1 : _b, text = _a.text, hideIcon = _a.hideIcon, rest = _a.rest, props = __rest(_a, ["value", "text", "hideIcon", "rest"]);
    return (_jsx(Label, __assign({}, rest, props, { color: VALUE_TO_STATE[value].color, icon: !hideIcon && VALUE_TO_STATE[value].icon, children: text || VALUE_TO_STATE[value].text })));
};
export default InsightsLabel;
//# sourceMappingURL=InsightsLabel.js.map