var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx } from "react/jsx-runtime";
import React, { Suspense } from 'react';
import PropTypes from 'prop-types';
import { ScalprumComponent } from '@scalprum/react-core';
import { useStore } from 'react-redux';
import { Bullseye } from '@patternfly/react-core/dist/dynamic/layouts/Bullseye';
import { Spinner } from '@patternfly/react-core/dist/dynamic/components/Spinner';
import InventoryLoadError from './InventoryLoadError';
import classNames from 'classnames';
import WithHistory from './WithHistory';
var BaseInventoryDetail = function (props) {
    var store = useStore();
    var Cmp = props.component;
    return (_jsx(Cmp, { className: classNames(props.className, 'inventory'), children: _jsx(Suspense, { fallback: props.fallback, children: _jsx(ScalprumComponent, __assign({ history: props.history, store: store, appName: "inventory", module: "./InventoryDetail", scope: "inventory", ErrorComponent: _jsx(InventoryLoadError, __assign({ component: "InventoryDetailHead" }, props)), ref: props.innerRef }, props)) }) }));
};
BaseInventoryDetail.propTypes = {
    fallback: PropTypes.node,
    innerRef: PropTypes.object,
    component: PropTypes.string,
    className: PropTypes.string,
    history: PropTypes.object,
};
var InventoryDetail = React.forwardRef(function (props, ref) { return _jsx(BaseInventoryDetail, __assign({ innerRef: ref }, props)); });
InventoryDetail.propTypes = {
    fallback: PropTypes.node,
    component: PropTypes.string,
    className: PropTypes.string,
};
InventoryDetail.defaultProps = {
    fallback: (_jsx(Bullseye, { className: "pf-v6-u-p-lg", children: _jsx(Spinner, { size: "xl" }) })),
    component: 'section',
};
var CompatiblityWrapper = function (props, ref) { return _jsx(WithHistory, __assign({ innerRef: ref, Component: InventoryDetail }, props)); };
export default React.forwardRef(CompatiblityWrapper);
//# sourceMappingURL=InventoryDetail.js.map