import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Button } from '@patternfly/react-core/dist/dynamic/components/Button';
import { Popover } from '@patternfly/react-core/dist/dynamic/components/Popover';
import { Content } from '@patternfly/react-core/dist/dynamic/components/Content';
import CodeBranchIcon from '@patternfly/react-icons/dist/dynamic/icons/code-branch-icon';
import ExternalLinkAltIcon from '@patternfly/react-icons/dist/dynamic/icons/external-link-alt-icon';
var OpenSourceBadge = function (_a) {
    var repositoriesURL = _a.repositoriesURL;
    return (_jsx(_Fragment, { children: _jsx(Popover, { bodyContent: _jsxs(Content, { children: [_jsx(Content, { component: "p", children: "This service is open source, so all of its code is inspectable. Explore repositories to view and contribute to the source code." }), _jsx(Button, { component: "a", target: "_blank", variant: "link", icon: _jsx(ExternalLinkAltIcon, {}), iconPosition: "right", isInline: true, href: repositoriesURL, children: "Repositories" })] }), id: 'open-source-badge', headerContent: 'About open source', children: _jsx(Button, { icon: _jsx(CodeBranchIcon, {}), variant: "plain", "aria-label": "About Open Services", className: "pf-v6-u-pl-sm open-source-badge" }) }) }));
};
export default OpenSourceBadge;
//# sourceMappingURL=OpenSourceBadge.js.map