import { IconComponentProps } from '@patternfly/react-core/dist/dynamic/components/Icon';
import React from 'react';
import { impactList } from './consts';
export interface ShieldProps {
    impact: keyof typeof impactList | 'N/A';
    hasLabel?: boolean;
    hasTooltip?: boolean;
    disableQuestionIcon?: boolean;
    size?: IconComponentProps['size'];
}
declare const Shield: React.FunctionComponent<ShieldProps>;
export default Shield;
