var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Icon } from '@patternfly/react-core/dist/dynamic/components/Icon';
import { Tooltip } from '@patternfly/react-core/dist/dynamic/components/Tooltip';
import QuestionIcon from '@patternfly/react-icons/dist/dynamic/icons/question-icon';
import SecurityIcon from '@patternfly/react-icons/dist/dynamic/icons/security-icon';
import { impactList } from './consts';
var Shield = function (_a) {
    var _b;
    var _c = _a.impact, impact = _c === void 0 ? 'N/A' : _c, _d = _a.hasLabel, hasLabel = _d === void 0 ? false : _d, _e = _a.size, size = _e === void 0 ? 'md' : _e, _f = _a.hasTooltip, hasTooltip = _f === void 0 ? true : _f, _g = _a.disableQuestionIcon, disableQuestionIcon = _g === void 0 ? false : _g;
    var attributes = (_b = impactList === null || impactList === void 0 ? void 0 : impactList[impact]) !== null && _b !== void 0 ? _b : impactList.Unknown;
    var badgeProps = {
        'aria-hidden': 'false',
        'aria-label': attributes.title,
        color: attributes.color,
    };
    var badge = attributes.title === 'Unknown' ? (disableQuestionIcon ? null : (_jsx(Icon, { size: size, children: _jsx(QuestionIcon, __assign({}, badgeProps)) }))) : (_jsx(Icon, { size: size, children: _jsx(SecurityIcon, __assign({}, badgeProps)) }));
    var body = (_jsxs("span", { children: [badge, " ", hasLabel && attributes.title] }));
    return (_jsx("span", { children: hasTooltip ? (_jsx(Tooltip, { content: _jsx("div", { children: attributes.message }), position: 'bottom', children: body })) : (body) }));
};
export default Shield;
//# sourceMappingURL=Shield.js.map