"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var t_global_breakpoint_xs_1 = __importDefault(require("@patternfly/react-tokens/dist/js/t_global_breakpoint_xs"));
var t_global_breakpoint_sm_1 = __importDefault(require("@patternfly/react-tokens/dist/js/t_global_breakpoint_sm"));
var t_global_breakpoint_md_1 = __importDefault(require("@patternfly/react-tokens/dist/js/t_global_breakpoint_md"));
var t_global_breakpoint_lg_1 = __importDefault(require("@patternfly/react-tokens/dist/js/t_global_breakpoint_lg"));
var t_global_breakpoint_xl_1 = __importDefault(require("@patternfly/react-tokens/dist/js/t_global_breakpoint_xl"));
var t_global_breakpoint_2xl_1 = __importDefault(require("@patternfly/react-tokens/dist/js/t_global_breakpoint_2xl"));
function getPxValue(token) {
    var pixelsPerRem = 16;
    return parseInt(token.value.replace('rem', '')) * pixelsPerRem;
}
var breakPoints = {
    xs: getPxValue(t_global_breakpoint_xs_1.default),
    sm: getPxValue(t_global_breakpoint_sm_1.default),
    md: getPxValue(t_global_breakpoint_md_1.default),
    lg: getPxValue(t_global_breakpoint_lg_1.default),
    xl: getPxValue(t_global_breakpoint_xl_1.default),
    '2xl': getPxValue(t_global_breakpoint_2xl_1.default),
};
exports.default = breakPoints;
//# sourceMappingURL=breakpoints.js.map