import React from 'react';
export type ExcludeModulesKeys = 'module' | 'scope';
export type AsyncComponentProps<T extends object = object> = {
    module: string;
    scope: string;
    fallback?: React.ReactElement;
    component?: keyof JSX.IntrinsicElements;
} & React.DetailedHTMLProps<React.HTMLAttributes<HTMLElement>, HTMLElement> & T;
export declare function AsyncComponent<T extends object = object>(props: AsyncComponentProps & T): import("react/jsx-runtime").JSX.Element;
export default AsyncComponent;
