"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AsyncComponent = AsyncComponent;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = __importDefault(require("react"));
var react_core_1 = require("@scalprum/react-core");
var Bullseye_1 = require("@patternfly/react-core/dist/dynamic/layouts/Bullseye");
var Spinner_1 = require("@patternfly/react-core/dist/dynamic/components/Spinner");
var classnames_1 = __importDefault(require("classnames"));
var BaseAsyncComponent = function (_a) {
    var scope = _a.scope, module = _a.module, _b = _a.fallback, fallback = _b === void 0 ? ((0, jsx_runtime_1.jsx)(Bullseye_1.Bullseye, { children: (0, jsx_runtime_1.jsx)(Spinner_1.Spinner, { size: "xl" }) })) : _b, innerRef = _a.innerRef, className = _a.className, _c = _a.component, Cmp = _c === void 0 ? 'section' : _c, props = __rest(_a, ["scope", "module", "fallback", "innerRef", "className", "component"]);
    var SCProps = __assign({ className: className, module: module, scope: scope, ref: innerRef, fallback: fallback }, props);
    return ((0, jsx_runtime_1.jsx)(Cmp, { className: (0, classnames_1.default)(className, scope), children: (0, jsx_runtime_1.jsx)(react_core_1.ScalprumComponent, __assign({}, SCProps)) }));
};
var InternalSyncComponent = react_1.default.forwardRef(function (props, ref) { return (0, jsx_runtime_1.jsx)(BaseAsyncComponent, __assign({ innerRef: ref }, props)); });
function AsyncComponent(props) {
    return (0, jsx_runtime_1.jsx)(InternalSyncComponent, __assign({}, props));
}
exports.default = AsyncComponent;
//# sourceMappingURL=index.js.map