import React from 'react';
import { FilterItem, FilterValue } from './TextFilter';
export type CheckboxFilterValue = undefined | string | number | boolean | FilterValue;
export interface CheckboxFilterProps {
    onChange: (e: React.MouseEvent | React.ChangeEvent | React.FormEvent<HTMLInputElement> | undefined, newSelection: CheckboxFilterValue[], selection?: CheckboxFilterValue) => void;
    value?: CheckboxFilterValue[];
    placeholder?: string;
    items?: FilterItem[];
    isDisabled?: boolean;
    className?: string;
}
declare const CheckboxFilter: React.FunctionComponent<CheckboxFilterProps>;
export default CheckboxFilter;
