"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var react_2 = require("react");
var MenuToggle_1 = require("@patternfly/react-core/dist/dynamic/components/MenuToggle");
var Select_1 = require("@patternfly/react-core/dist/dynamic/components/Select");
var Select_2 = require("@patternfly/react-core/dist/dynamic/components/Select");
var Select_3 = require("@patternfly/react-core/dist/dynamic/components/Select");
var TextFilter_1 = require("./TextFilter");
var SingleSelectFilter = function (_a) {
    var _b = _a.items, items = _b === void 0 ? [] : _b, _c = _a.onChange, onChange = _c === void 0 ? function () { return undefined; } : _c, _d = _a.isDisabled, isDisabled = _d === void 0 ? false : _d, props = __rest(_a, ["items", "onChange", "isDisabled"]);
    var placeholder = props.placeholder, className = props.className, value = props.value;
    var _e = (0, react_2.useState)(false), isExpanded = _e[0], setExpanded = _e[1];
    var calculateSelected = function () {
        if (value) {
            return (0, TextFilter_1.isFilterValue)(value) ? value.value : value;
        }
    };
    var onSelect = function (event, selection) {
        onChange(event, selection);
    };
    var checkedValue = calculateSelected();
    return ((0, jsx_runtime_1.jsx)(Select_1.Select, { className: className, "aria-label": "Select Input", toggle: function (menuRef) { return ((0, jsx_runtime_1.jsx)(MenuToggle_1.MenuToggle, { "aria-label": "Options menu", isExpanded: isExpanded, onClick: function () { return setExpanded(function (prev) { return !prev; }); }, isDisabled: isDisabled, ref: menuRef, isFullWidth: true, children: placeholder })); }, onOpenChange: function (value) { return setExpanded(value); }, onSelect: function (event, value) { return onSelect(event, value); }, isOpen: isExpanded, ouiaId: placeholder, selected: checkedValue, children: (0, jsx_runtime_1.jsx)(Select_2.SelectList, { "aria-label": "Options menu", children: items.map(function (_a, key) {
                var value = _a.value, isChecked = _a.isChecked, onChange = _a.onChange, label = _a.label, id = _a.id, item = __rest(_a, ["value", "isChecked", "onChange", "label", "id"]);
                return ((0, react_1.createElement)(Select_3.SelectOption, __assign({}, item, { key: id || key, value: value || '' + key }), label));
            }) }) }));
};
exports.default = SingleSelectFilter;
//# sourceMappingURL=SingleSelectFilter.js.map