"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isFilterValue = isFilterValue;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var Icon_1 = require("@patternfly/react-core/dist/dynamic/components/Icon");
var TextInput_1 = require("@patternfly/react-core/dist/dynamic/components/TextInput");
var search_icon_1 = __importDefault(require("@patternfly/react-icons/dist/dynamic/icons/search-icon"));
require("./conditional-filter.css");
var classnames_1 = __importDefault(require("classnames"));
function isFilterValue(item) {
    return item !== null && typeof item === 'object';
}
var TextFilter = function (_a) {
    var _b = _a.customIcon, customIcon = _b === void 0 ? (0, jsx_runtime_1.jsx)(search_icon_1.default, {}) : _b, _c = _a.isDisabled, isDisabled = _c === void 0 ? false : _c, className = _a.className, innerRef = _a.innerRef, props = __rest(_a, ["customIcon", "isDisabled", "className", "innerRef"]);
    return ((0, jsx_runtime_1.jsx)(react_1.Fragment, { children: (0, jsx_runtime_1.jsx)(TextInput_1.TextInput, __assign({}, props, { customIcon: (0, jsx_runtime_1.jsx)(Icon_1.Icon, { className: "ins-c-search-icon", size: "md", children: customIcon }), isDisabled: isDisabled, "aria-label": props['aria-label'] || 'text input', className: (0, classnames_1.default)('ins-c-conditional-filter', className), "data-ouia-component-type": "PF5/TextInput", onKeyDown: function (e) { var _a; return e.key === 'Enter' && ((_a = props === null || props === void 0 ? void 0 : props.onSubmit) === null || _a === void 0 ? void 0 : _a.call(props, e)); }, ouiaId: "ConditionalFilter", "widget-type": "InsightsInput", ref: innerRef })) }));
};
exports.default = TextFilter;
//# sourceMappingURL=TextFilter.js.map