import { DropdownProps } from '@patternfly/react-core/dist/dynamic/components/Dropdown';
import React from 'react';
export interface DownloadButtonProps extends Omit<DropdownProps, 'onSelect' | 'toggle' | 'dropdownItems'> {
    extraItems?: React.ReactNode;
    tooltipText?: React.ReactNode;
    onSelect?: (event: MouseEvent | React.MouseEvent<any, MouseEvent> | React.KeyboardEvent<Element>, format: 'csv' | 'json') => void;
    isDisabled?: boolean;
    itemTexts?: {
        csv?: string;
        json?: string;
    };
}
declare const DownloadButton: React.FunctionComponent<DownloadButtonProps>;
export default DownloadButton;
