"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var Dropdown_1 = require("@patternfly/react-core/dist/dynamic/components/Dropdown");
var Dropdown_2 = require("@patternfly/react-core/dist/dynamic/components/Dropdown");
var Dropdown_3 = require("@patternfly/react-core/dist/dynamic/components/Dropdown");
var MenuToggle_1 = require("@patternfly/react-core/dist/dynamic/components/MenuToggle");
var Tooltip_1 = require("@patternfly/react-core/dist/dynamic/components/Tooltip");
var react_1 = __importStar(require("react"));
var export_icon_1 = __importDefault(require("@patternfly/react-icons/dist/dynamic/icons/export-icon"));
var DownloadButton = function (_a) {
    var _b = _a.extraItems, extraItems = _b === void 0 ? [] : _b, _c = _a.onSelect, onSelect = _c === void 0 ? function () { return undefined; } : _c, isDisabled = _a.isDisabled, _d = _a.tooltipText, tooltipText = _d === void 0 ? 'Export data' : _d, _e = _a.itemTexts, itemTexts = _e === void 0 ? {
        csv: undefined,
        json: undefined,
    } : _e, props = __rest(_a, ["extraItems", "onSelect", "isDisabled", "tooltipText", "itemTexts"]);
    var _f = (0, react_1.useState)(false), isOpen = _f[0], setIsOpen = _f[1];
    var internalOnSelect = function () { return setIsOpen(function (prev) { return !prev; }); };
    var conditionallyTooltip = function (children) {
        return (0, jsx_runtime_1.jsx)(react_1.default.Fragment, { children: tooltipText ? (0, jsx_runtime_1.jsx)(Tooltip_1.Tooltip, { content: tooltipText, children: children }) : children });
    };
    return ((0, jsx_runtime_1.jsx)(react_1.default.Fragment, { children: conditionallyTooltip((0, jsx_runtime_1.jsx)(Dropdown_1.Dropdown, __assign({}, props, { onOpenChange: function (isOpen) { return setIsOpen(isOpen); }, onSelect: internalOnSelect, toggle: function (toggleRef) { return ((0, jsx_runtime_1.jsx)(MenuToggle_1.MenuToggle, { "aria-label": "Export", variant: "plain", ref: toggleRef, isExpanded: isOpen, onClick: function () { return setIsOpen(function (prev) { return !prev; }); }, icon: (0, jsx_runtime_1.jsx)(export_icon_1.default, {}) })); }, isOpen: isOpen, ouiaId: "Export", popperProps: { appendTo: 'inline' }, children: (0, jsx_runtime_1.jsxs)(Dropdown_3.DropdownList, { children: [(0, jsx_runtime_1.jsx)(Dropdown_2.DropdownItem, { ouiaId: "DownloadCSV", component: "button", onClick: function (event) { return onSelect(event, 'csv'); }, isDisabled: isDisabled, "aria-label": itemTexts.csv || 'Export to CSV', children: itemTexts.csv || 'Export to CSV' }, "download-csv"), (0, jsx_runtime_1.jsx)(Dropdown_2.DropdownItem, { "aria-label": itemTexts.json || 'Export to JSON', ouiaId: "DownloadJSON", component: "button", onClick: function (event) { return onSelect(event, 'json'); }, isDisabled: isDisabled, children: itemTexts.json || 'Export to JSON' }, "download-json"), extraItems] }) }))) }));
};
exports.default = DownloadButton;
//# sourceMappingURL=DownloadButton.js.map