import React from 'react';
import './filter-dropdown.scss';
import './filter-input.scss';
export type FilterCategory = {
    title: string;
    type?: string;
    urlParam?: string;
    values: {
        label: string;
        value: string;
    }[];
};
export interface FilterDropdownProps {
    addFilter?: (filterName?: string, selectedValue?: string | number, type?: string) => void;
    removeFilter?: (filterName?: string, selectedValue?: string | number) => void;
    hideCategories?: [string | undefined];
    filters?: Record<string, string>;
    filterCategories: FilterCategory[];
    label: React.ReactNode;
    ouiaId?: string;
    ouiaSafe?: boolean;
}
declare const FilterDropdown: React.FunctionComponent<FilterDropdownProps>;
export default FilterDropdown;
