"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var MenuToggle_1 = require("@patternfly/react-core/dist/dynamic/components/MenuToggle");
var Select_1 = require("@patternfly/react-core/dist/dynamic/components/Select");
var Select_2 = require("@patternfly/react-core/dist/dynamic/components/Select");
var Select_3 = require("@patternfly/react-core/dist/dynamic/components/Select");
var Select_4 = require("@patternfly/react-core/dist/dynamic/components/Select");
var ouia_1 = require("@patternfly/react-core/dist/dynamic/helpers/OUIA/ouia");
var FilterInput_1 = __importDefault(require("./FilterInput"));
require("./filter-dropdown.css");
require("./filter-input.scss");
var ouiaStateId = (0, ouia_1.getDefaultOUIAId)('RHI/FilterDropdown');
var FilterDropdown = function (_a) {
    var hideCategories = _a.hideCategories, filters = _a.filters, filterCategories = _a.filterCategories, label = _a.label, _b = _a.ouiaId, ouiaId = _b === void 0 ? ouiaStateId : _b, _c = _a.ouiaSafe, ouiaSafe = _c === void 0 ? true : _c, addFilter = _a.addFilter, removeFilter = _a.removeFilter, props = __rest(_a, ["hideCategories", "filters", "filterCategories", "label", "ouiaId", "ouiaSafe", "addFilter", "removeFilter"]);
    var _d = (0, react_1.useState)(false), isOpen = _d[0], setIsOpen = _d[1];
    var addRemoveFilters = function (selectedValue, filterName, type, isChecked) {
        console.log({ selectedValue: selectedValue, filterName: filterName });
        if (type === 'checkbox') {
            isChecked ? addFilter === null || addFilter === void 0 ? void 0 : addFilter(filterName, selectedValue, type) : removeFilter === null || removeFilter === void 0 ? void 0 : removeFilter(filterName, selectedValue);
        }
        else {
            addFilter === null || addFilter === void 0 ? void 0 : addFilter(filterName, selectedValue, type);
        }
    };
    return ((0, jsx_runtime_1.jsx)(Select_1.Select, __assign({ className: "ins-c-filter__dropdown" }, props, { onOpenChange: setIsOpen, toggle: function (toggleRef) { return ((0, jsx_runtime_1.jsx)(MenuToggle_1.MenuToggle, { ref: toggleRef, isExpanded: isOpen, onClick: function () { return setIsOpen(function (prev) { return !prev; }); }, children: label })); }, isOpen: isOpen, ouiaId: ouiaId, ouiaSafe: ouiaSafe, popperProps: { appendTo: 'inline' }, children: filterCategories.map(function (data, index) {
            return !(hideCategories === null || hideCategories === void 0 ? void 0 : hideCategories.includes(data === null || data === void 0 ? void 0 : data.urlParam)) && ((0, jsx_runtime_1.jsx)(Select_2.SelectGroup, { label: data.title, children: (0, jsx_runtime_1.jsx)(Select_3.SelectList, { children: data.values.map(function (item, key) { return ((0, jsx_runtime_1.jsx)(Select_4.SelectOption, { children: (0, jsx_runtime_1.jsx)(FilterInput_1.default, { "aria-label": item.label, id: "check".concat(index).concat(key), label: item.label, addRemoveFilters: addRemoveFilters, param: data.urlParam, type: data.type, value: item.value, filters: filters }) }, "check".concat(index).concat(key))); }) }) }, index));
        }) })));
};
exports.default = FilterDropdown;
//# sourceMappingURL=FilterDropdown.js.map