"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var react_router_dom_1 = require("react-router-dom");
var useChrome_1 = __importDefault(require("../useChrome"));
var urlPathHelpers_1 = require("@redhat-cloud-services/frontend-components-utilities/helpers/urlPathHelpers");
var InsightsLink = function (_a) {
    var to = _a.to, app = _a.app, preview = _a.preview, props = __rest(_a, ["to", "app", "preview"]);
    var chrome = (0, useChrome_1.default)();
    var toPath = (0, urlPathHelpers_1.buildInsightsPath)(chrome, app, to, preview);
    return ((0, jsx_runtime_1.jsx)(react_router_dom_1.Link, __assign({ to: toPath }, props, { children: props.children })));
};
exports.default = InsightsLink;
//# sourceMappingURL=InsightsLink.js.map