"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var classnames_1 = __importDefault(require("classnames"));
var Dark_1 = require("../Dark");
require("./page-header.css");
var ouia_1 = require("@patternfly/react-core/dist/dynamic/helpers/OUIA/ouia");
var PageHeader = function (_a) {
    var className = _a.className, children = _a.children, ouiaId = _a.ouiaId, _b = _a.ouiaSafe, ouiaSafe = _b === void 0 ? true : _b, props = __rest(_a, ["className", "children", "ouiaId", "ouiaSafe"]);
    var pageHeaderClasses = (0, classnames_1.default)(className, 'pf-v6-l-page-header', 'pf-v6-c-page-header', 'pf-v6-l-page__main-section', 'pf-v6-c-page__main-section');
    var ouiaComponentType = 'RHI/Header';
    var ouiaFinalId = (0, ouia_1.useOUIAId)(ouiaComponentType, ouiaId, ouiaSafe);
    return ((0, jsx_runtime_1.jsx)(Dark_1.DarkContext.Consumer, { children: function (theme) {
            var _a, _b;
            if (theme === void 0) { theme = 'light'; }
            var themeClasses = (0, classnames_1.default)((_a = {}, _a["pf-m-".concat(theme, "-200")] = theme === 'dark', _a), (_b = {}, _b["pf-m-light"] = theme === 'light', _b));
            return ((0, jsx_runtime_1.jsx)("section", __assign({ "data-ouia-component-type": ouiaComponentType, "data-ouia-component-id": ouiaFinalId, "data-ouia-safe": ouiaSafe }, props, { className: "".concat(pageHeaderClasses, " ").concat(themeClasses), "widget-type": "InsightsPageHeader", children: children })));
        } }));
};
exports.default = PageHeader;
//# sourceMappingURL=PageHeader.js.map