"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __spreadArray = (this && this.__spreadArray) || function (to, from, pack) {
    if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
        if (ar || !(i in from)) {
            if (!ar) ar = Array.prototype.slice.call(from, 0, i);
            ar[i] = from[i];
        }
    }
    return to.concat(ar || Array.prototype.slice.call(from));
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = __importDefault(require("react"));
var Button_1 = require("@patternfly/react-core/dist/dynamic/components/Button");
var Pagination_1 = require("@patternfly/react-core/dist/dynamic/components/Pagination");
var Toolbar_1 = require("@patternfly/react-core/dist/dynamic/components/Toolbar");
var Toolbar_2 = require("@patternfly/react-core/dist/dynamic/components/Toolbar");
var Toolbar_3 = require("@patternfly/react-core/dist/dynamic/components/Toolbar");
var Toolbar_4 = require("@patternfly/react-core/dist/dynamic/components/Toolbar");
var Toolbar_5 = require("@patternfly/react-core/dist/dynamic/components/Toolbar");
var angle_down_icon_1 = __importDefault(require("@patternfly/react-icons/dist/dynamic/icons/angle-down-icon"));
var angle_right_icon_1 = __importDefault(require("@patternfly/react-icons/dist/dynamic/icons/angle-right-icon"));
var react_table_1 = require("@patternfly/react-table");
var Actions_1 = __importDefault(require("./Actions"));
var BulkSelect_1 = require("../BulkSelect");
var ConditionalFilter_1 = require("../ConditionalFilter");
var FilterChips_1 = require("../FilterChips");
var SortBy_1 = __importDefault(require("./SortBy"));
require("./primary-toolbar.css");
function isPrimaryToolbarExpandAllObject(node) {
    return !react_1.default.isValidElement(node);
}
var PrimaryToolbar = function (_a) {
    var id = _a.id, className = _a.className, _b = _a.toggleIsExpanded, toggleIsExpanded = _b === void 0 ? function () { return undefined; } : _b, bulkSelect = _a.bulkSelect, filterConfig = _a.filterConfig, dedicatedAction = _a.dedicatedAction, actionsConfig = _a.actionsConfig, sortByConfig = _a.sortByConfig, pagination = _a.pagination, activeFiltersConfig = _a.activeFiltersConfig, children = _a.children, exportConfig = _a.exportConfig, expandAll = _a.expandAll, props = __rest(_a, ["id", "className", "toggleIsExpanded", "bulkSelect", "filterConfig", "dedicatedAction", "actionsConfig", "sortByConfig", "pagination", "activeFiltersConfig", "children", "exportConfig", "expandAll"]);
    var overflowActions = __spreadArray([], (sortByConfig
        ? [
            {
                label: 'Sort order ASC',
                props: { isDisabled: sortByConfig.direction === react_table_1.SortByDirection.asc },
                onClick: function (e) {
                    return sortByConfig.onSortChange && sortByConfig.onSortChange(e, react_table_1.SortByDirection.asc);
                },
            },
            {
                label: 'Sort order DESC',
                props: { isDisabled: sortByConfig.direction === react_table_1.SortByDirection.desc },
                onClick: function (e) {
                    return sortByConfig.onSortChange && sortByConfig.onSortChange(e, react_table_1.SortByDirection.desc);
                },
            },
        ]
        : []), true);
    return ((0, jsx_runtime_1.jsxs)(Toolbar_1.Toolbar, __assign({}, props, { className: "".concat(className || '', " ins-c-primary-toolbar"), toggleIsExpanded: toggleIsExpanded, id: id ? "".concat(id) : 'ins-primary-data-toolbar', ouiaId: "PrimaryToolbar", children: [(0, jsx_runtime_1.jsxs)(Toolbar_2.ToolbarContent, { children: [(expandAll || bulkSelect || filterConfig || dedicatedAction) && ((0, jsx_runtime_1.jsxs)(Toolbar_4.ToolbarGroup, { className: "ins-c-primary-toolbar__group-filter pf-m-spacer-md pf-m-space-items-lg", variant: "filter-group", children: [expandAll && ((0, jsx_runtime_1.jsx)(Toolbar_5.ToolbarItem, { children: isPrimaryToolbarExpandAllObject(expandAll) ? ((0, jsx_runtime_1.jsx)(Button_1.Button, __assign({ icon: (0, jsx_runtime_1.jsx)(Toolbar_3.ToolbarExpandIconWrapper, { children: expandAll.isAllExpanded ? (0, jsx_runtime_1.jsx)(angle_down_icon_1.default, {}) : (0, jsx_runtime_1.jsx)(angle_right_icon_1.default, {}) }) }, expandAll.buttonProps, { variant: "plain", "aria-label": "".concat(expandAll.isAllExpanded ? 'Collapse' : 'Expand', " all"), onClick: function (e) { return expandAll.onClick(e, !expandAll.isAllExpanded); }, ouiaId: "ExpandCollapseAll", isDisabled: expandAll.isDisabled }))) : (expandAll) })), bulkSelect && (0, jsx_runtime_1.jsx)(Toolbar_5.ToolbarItem, { children: react_1.default.isValidElement(bulkSelect) ? bulkSelect : (0, jsx_runtime_1.jsx)(BulkSelect_1.BulkSelect, __assign({}, bulkSelect)) }), filterConfig && ((0, jsx_runtime_1.jsx)(Toolbar_5.ToolbarItem, { className: "ins-c-primary-toolbar__filter", children: react_1.default.isValidElement(filterConfig) ? filterConfig : (0, jsx_runtime_1.jsx)(ConditionalFilter_1.ConditionalFilter, __assign({}, filterConfig)) })), dedicatedAction && (0, jsx_runtime_1.jsx)(Toolbar_5.ToolbarItem, { children: dedicatedAction })] })), react_1.default.isValidElement(actionsConfig)
                        ? actionsConfig
                        : ((actionsConfig && actionsConfig.actions && actionsConfig.actions.length > 0) || sortByConfig || exportConfig) && ((0, jsx_runtime_1.jsx)(Actions_1.default, __assign({}, (actionsConfig || {}), { exportConfig: exportConfig, overflowActions: overflowActions }))), sortByConfig && ((0, jsx_runtime_1.jsx)(Toolbar_5.ToolbarItem, { className: "ins-c-primary-toolbar__sort-by", children: react_1.default.isValidElement(sortByConfig) ? sortByConfig : (0, jsx_runtime_1.jsx)(SortBy_1.default, __assign({}, sortByConfig)) })), children, pagination && ((0, jsx_runtime_1.jsx)(Toolbar_5.ToolbarItem, { className: "ins-c-primary-toolbar__pagination", children: react_1.default.isValidElement(pagination) ? pagination : (0, jsx_runtime_1.jsx)(Pagination_1.Pagination, __assign({ isCompact: true, ouiaId: "CompactPagination" }, pagination)) }))] }), activeFiltersConfig && react_1.default.isValidElement(activeFiltersConfig) ? ((0, jsx_runtime_1.jsx)(Toolbar_2.ToolbarContent, { children: (0, jsx_runtime_1.jsx)(Toolbar_5.ToolbarItem, { children: activeFiltersConfig }) })) : (typeof (activeFiltersConfig === null || activeFiltersConfig === void 0 ? void 0 : activeFiltersConfig.filters) !== 'undefined' &&
                (activeFiltersConfig.filters.length > 0 || activeFiltersConfig.showDeleteButton === true) && ((0, jsx_runtime_1.jsx)(Toolbar_2.ToolbarContent, { children: (0, jsx_runtime_1.jsx)(Toolbar_5.ToolbarItem, { children: (0, jsx_runtime_1.jsx)(FilterChips_1.FilterChips, __assign({}, activeFiltersConfig)) }) })))] })));
};
exports.default = PrimaryToolbar;
//# sourceMappingURL=PrimaryToolbar.js.map