import React, { KeyboardEvent } from 'react';
import { SortByDirection } from '@patternfly/react-table';
export declare function flipDirection(direction: SortByDirection): SortByDirection;
export interface SortByProps {
    direction?: SortByDirection;
    onSortChange?: (event: MouseEvent | React.MouseEvent<any, MouseEvent> | KeyboardEvent<Element>, direction: SortByDirection) => void;
}
declare const SortBy: React.FunctionComponent<SortByProps>;
export default SortBy;
