"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.flipDirection = flipDirection;
var jsx_runtime_1 = require("react/jsx-runtime");
var react_table_1 = require("@patternfly/react-table");
var Button_1 = require("@patternfly/react-core/dist/dynamic/components/Button");
var Icon_1 = require("@patternfly/react-core/dist/dynamic/components/Icon");
var sort_amount_down_icon_1 = __importDefault(require("@patternfly/react-icons/dist/dynamic/icons/sort-amount-down-icon"));
var sort_amount_up_icon_1 = __importDefault(require("@patternfly/react-icons/dist/dynamic/icons/sort-amount-up-icon"));
function flipDirection(direction) {
    return direction === react_table_1.SortByDirection.asc ? react_table_1.SortByDirection.desc : react_table_1.SortByDirection.asc;
}
var SortBy = function (_a) {
    var _b = _a.direction, direction = _b === void 0 ? react_table_1.SortByDirection.asc : _b, _c = _a.onSortChange, onSortChange = _c === void 0 ? function () { return undefined; } : _c;
    return ((0, jsx_runtime_1.jsx)(Button_1.Button, { icon: (0, jsx_runtime_1.jsx)(Icon_1.Icon, { size: "md", children: direction === react_table_1.SortByDirection.asc ? (0, jsx_runtime_1.jsx)(sort_amount_up_icon_1.default, {}) : (0, jsx_runtime_1.jsx)(sort_amount_down_icon_1.default, {}) }), variant: "plain", onClick: function (e) { return onSortChange(e, flipDirection(direction)); } }));
};
exports.default = SortBy;
//# sourceMappingURL=SortBy.js.map