import React from 'react';
import './severity-line.scss';
export type SeverityLineProps = {
    title: string;
    value: 1 | 2 | 3 | 4;
    className?: string;
    tooltipMessage?: React.ReactNode;
    config?: {
        height?: number;
        width?: number;
    };
    chartProps?: React.HTMLProps<HTMLDivElement>;
};
declare const SeverityLine: ({ title, value, className, tooltipMessage, config, chartProps }: SeverityLineProps) => import("react/jsx-runtime").JSX.Element;
export default SeverityLine;
