"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var Button_1 = require("@patternfly/react-core/dist/dynamic/components/Button");
var Button_2 = require("@patternfly/react-core/dist/dynamic/components/Button");
var Dropdown_1 = require("@patternfly/react-core/dist/dynamic/components/Dropdown");
var Dropdown_2 = require("@patternfly/react-core/dist/dynamic/components/Dropdown");
var Dropdown_3 = require("@patternfly/react-core/dist/dynamic/components/Dropdown");
var MenuToggle_1 = require("@patternfly/react-core/dist/dynamic/components/MenuToggle");
var TextInput_1 = require("@patternfly/react-core/dist/dynamic/components/TextInput");
var search_icon_1 = __importDefault(require("@patternfly/react-icons/dist/dynamic/icons/search-icon"));
require("./simple-table-filter.css");
var SimpleFilter = function (_a) {
    var options = _a.options, className = _a.className, _b = _a.placeholder, placeholder = _b === void 0 ? 'Search items' : _b, _c = _a.buttonTitle, buttonTitle = _c === void 0 ? 'Filter' : _c, onButtonClick = _a.onButtonClick, onFilterChange = _a.onFilterChange, onOptionSelect = _a.onOptionSelect, _d = _a.searchIcon, searchIcon = _d === void 0 ? true : _d, props = __rest(_a, ["options", "className", "placeholder", "buttonTitle", "onButtonClick", "onFilterChange", "onOptionSelect", "searchIcon"]);
    var _f = (0, react_1.useState)(''), activeFilter = _f[0], setActiveFilter = _f[1];
    var _g = (0, react_1.useState)(false), isOpen = _g[0], setIsOpen = _g[1];
    var _h = (0, react_1.useState)(), selected = _h[0], setSelected = _h[1];
    var onInputChange = function (_e, value) {
        setActiveFilter(value);
        onFilterChange(value, selected);
    };
    var onFilterSubmit = function () {
        onButtonClick === null || onButtonClick === void 0 ? void 0 : onButtonClick(activeFilter, selected);
    };
    var onFilterSelect = function (event, oneItem) {
        setSelected(oneItem);
        onOptionSelect === null || onOptionSelect === void 0 ? void 0 : onOptionSelect(event, oneItem);
    };
    var onSelect = function () { return setIsOpen(false); };
    var dropdownItems = options &&
        options.items &&
        options.items.map(function (oneItem) { return ((0, jsx_runtime_1.jsx)(Dropdown_2.DropdownItem, { component: "button", onClick: function (event) { return onFilterSelect(event, oneItem); }, "data-key": oneItem.value, children: oneItem.title }, oneItem.value)); });
    return ((0, jsx_runtime_1.jsxs)("div", __assign({ className: "pf-v6-c-input-group ins-c-filter ".concat(!buttonTitle ? 'ins-u-no-title' : '', " ").concat(className) }, props, { children: [options && ((0, jsx_runtime_1.jsx)(Dropdown_1.Dropdown, { onSelect: onSelect, isOpen: isOpen, onOpenChange: setIsOpen, toggle: function (toggleRef) { return ((0, jsx_runtime_1.jsx)(MenuToggle_1.MenuToggle, { ref: toggleRef, onClick: function () { return setIsOpen(function (prev) { return !prev; }); }, isExpanded: isOpen, children: (selected === null || selected === void 0 ? void 0 : selected.title) || options.title || 'Dropdown' })); }, popperProps: { appendTo: 'inline' }, children: (0, jsx_runtime_1.jsx)(Dropdown_3.DropdownList, { children: dropdownItems }) })), (0, jsx_runtime_1.jsx)(TextInput_1.TextInput, __assign({ onKeyUp: function (e) {
                    if (e.code === 'Enter') {
                        onInputChange(e, e.target.value);
                    }
                }, "aria-label": "simple-table-filter", placeholder: placeholder, onChange: onInputChange }, (!buttonTitle && searchIcon && { customIcon: (0, jsx_runtime_1.jsx)(search_icon_1.default, { className: "ins-c-search-icon" }) }))), buttonTitle && ((0, jsx_runtime_1.jsx)(Button_1.Button, { variant: Button_2.ButtonVariant.secondary, action: "filter", onClick: onFilterSubmit, children: buttonTitle }))] })));
};
exports.default = SimpleFilter;
//# sourceMappingURL=SimpleTableFilter.js.map