import React from 'react';
import './tab-layout.scss';
export type TabLayoutItem = {
    name?: string;
    title?: React.ReactNode;
};
export interface TabLayoutProps {
    items?: TabLayoutItem[];
    classNames?: string;
    active?: string;
    onTabClick?: (event: React.MouseEvent<HTMLDivElement>, oneItem: TabLayoutItem) => void;
}
declare const TabLayout: React.FunctionComponent<React.PropsWithChildren<TabLayoutProps>>;
export default TabLayout;
