import React from 'react';
import { ToolbarProps } from '@patternfly/react-core/dist/dynamic/components/Toolbar';
import './TableToolbar.scss';
export interface TableToolbarProps extends Omit<Omit<ToolbarProps, 'selected'>, 'ref'> {
    isFooter?: boolean;
    results?: number;
    className?: string;
    selected?: number;
    ouiaId?: string;
    ouiaSafe?: boolean;
}
declare const TableToolbar: React.FunctionComponent<TableToolbarProps>;
export default TableToolbar;
