"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var jsx_runtime_1 = require("react/jsx-runtime");
var react_1 = require("react");
var Toolbar_1 = require("@patternfly/react-core/dist/dynamic/components/Toolbar");
var ouia_1 = require("@patternfly/react-core/dist/dynamic/helpers/OUIA/ouia");
var classnames_1 = __importDefault(require("classnames"));
require("./TableToolbar.css");
function generateCount(results) {
    if (results > 1 || results < 1) {
        return "".concat(results, " Results");
    }
    else {
        return "".concat(results, " Result");
    }
}
var TableToolbar = function (_a) {
    var _b;
    var _c = _a.isFooter, isFooter = _c === void 0 ? false : _c, results = _a.results, className = _a.className, selected = _a.selected, children = _a.children, ouiaId = _a.ouiaId, _d = _a.ouiaSafe, ouiaSafe = _d === void 0 ? true : _d, props = __rest(_a, ["isFooter", "results", "className", "selected", "children", "ouiaId", "ouiaSafe"]);
    var tableToolbarClasses = (0, classnames_1.default)('ins-c-table__toolbar', (_b = {}, _b["ins-m-footer"] = isFooter, _b), className);
    var ouiaComponentType = 'RHI/TableToolbar';
    var ouiaFinalId = (0, ouia_1.useOUIAId)(ouiaComponentType, ouiaId, ouiaSafe);
    return ((0, jsx_runtime_1.jsxs)(react_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(Toolbar_1.Toolbar, __assign({ className: tableToolbarClasses, "data-ouia-component-type": ouiaComponentType, ouiaId: ouiaFinalId, ouiaSafe: ouiaSafe }, props, { children: children })), ((results && results >= 0) || (selected && selected >= 0)) && ((0, jsx_runtime_1.jsxs)("div", { className: "ins-c-table__toolbar-results", children: [results && results >= 0 && (0, jsx_runtime_1.jsxs)("span", { className: "ins-c-table__toolbar-results-count", children: [" ", generateCount(results), " "] }), selected && selected >= 0 && (0, jsx_runtime_1.jsxs)("span", { className: "ins-c-table__toolbar-results-selected", children: [" ", selected, " Selected "] })] }))] }));
};
exports.default = TableToolbar;
//# sourceMappingURL=TableToolbar.js.map