import React from 'react';
import { BreadcrumbProps } from '@patternfly/react-core/dist/dynamic/components/Breadcrumb';
export type BreadcrumbItem = {
    navigate: string;
    title: React.ReactNode;
};
export interface BreadcrumbsProps extends BreadcrumbProps {
    items?: BreadcrumbItem[];
    current?: React.ReactNode;
    onNavigate: (event: React.MouseEvent<HTMLAnchorElement>, link: string, key: number) => void;
}
declare const Breadcrumbs: React.FunctionComponent<BreadcrumbsProps>;
export default Breadcrumbs;
