var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import React, { useMemo } from 'react';
import * as reactRouter from 'react-router-dom';
import useChrome from '../useChrome';
var WithReactRouterHistory = function (_a) {
    var Component = _a.Component, props = __rest(_a, ["Component"]);
    var history = reactRouter.useHistory();
    return _jsx(Component, __assign({ history: history }, props));
};
var WithChromeHistory = function (_a) {
    var Component = _a.Component, props = __rest(_a, ["Component"]);
    var chromeHistory = useChrome().chromeHistory;
    return _jsx(Component, __assign({ history: chromeHistory }, props));
};
var WithHistory = function (_a, ref) {
    var Component = _a.Component, props = __rest(_a, ["Component"]);
    var HistoryComponent = useMemo(function () { return (typeof reactRouter.useHistory === 'function' ? WithReactRouterHistory : WithChromeHistory); }, [Component, props]);
    return _jsx(HistoryComponent, __assign({ innerRef: ref, Component: Component }, props));
};
export default React.forwardRef(WithHistory);
//# sourceMappingURL=WithHistory.js.map