import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Button } from '@patternfly/react-core/dist/dynamic/components/Button';
import { EmptyState } from '@patternfly/react-core/dist/dynamic/components/EmptyState';
import { EmptyStateBody } from '@patternfly/react-core/dist/dynamic/components/EmptyState';
import { EmptyStateFooter } from '@patternfly/react-core/dist/dynamic/components/EmptyState';
import DisconnectedIcon from '@patternfly/react-icons/dist/dynamic/icons/disconnected-icon';
var NotConnected = function (_a) {
    var _b = _a.titleText, titleText = _b === void 0 ? 'This system isn’t connected to Insights yet' : _b, _c = _a.bodyText, bodyText = _c === void 0 ? 'To get started, activate the Insights client for this system.' : _c, _d = _a.buttonText, buttonText = _d === void 0 ? 'Learn how to activate the Insights client' : _d;
    return (_jsxs(EmptyState, { headingLevel: "h5", icon: DisconnectedIcon, titleText: titleText, children: [_jsx(EmptyStateBody, { children: bodyText }), _jsx(EmptyStateFooter, { children: _jsx(Button, { variant: "primary", component: "a", href: "https://access.redhat.com/products/red-hat-insights/", target: "_blank", rel: "noopener noreferrer", className: "pf-v6-u-mt-lg", children: buttonText }) })] }));
};
export default NotConnected;
//# sourceMappingURL=NotConnected.js.map