var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import classNames from 'classnames';
import { Title } from '@patternfly/react-core/dist/dynamic/components/Title';
import { useOUIAId } from '@patternfly/react-core';
import { Flex } from '@patternfly/react-core/dist/dynamic/layouts/Flex';
import { FlexItem } from '@patternfly/react-core/dist/dynamic/layouts/Flex';
var PageHeaderTitle = function (_a) {
    var className = _a.className, title = _a.title, actionsContent = _a.actionsContent, ouiaId = _a.ouiaId, _b = _a.ouiaSafe, ouiaSafe = _b === void 0 ? true : _b, props = __rest(_a, ["className", "title", "actionsContent", "ouiaId", "ouiaSafe"]);
    var pageHeaderTitleClasses = classNames(className);
    var ouiaComponentType = 'RHI/Header';
    var ouiaFinalId = useOUIAId(ouiaComponentType, ouiaId, ouiaSafe);
    return (_jsxs(Flex, { justifyContent: { default: 'justifyContentSpaceBetween' }, children: [_jsx("div", { className: "pf-v6-u-flex-grow-1", children: _jsx(Title, __assign({ headingLevel: "h1", size: "2xl", className: pageHeaderTitleClasses, "widget-type": "InsightsPageHeaderTitle", "data-ouia-component-type": ouiaComponentType, ouiaId: ouiaFinalId, ouiaSafe: ouiaSafe }, props, { children: title })) }), actionsContent ? _jsx(FlexItem, { children: actionsContent }) : null] }));
};
export default PageHeaderTitle;
//# sourceMappingURL=PageHeaderTitle.js.map