import React from 'react';
import { SkeletonProps as PFSkeletonProps } from '@patternfly/react-core/dist/dynamic/components/Skeleton';
import './skeleton.scss';
type SkeletonSizeType = {
    xs: 'xs';
    sm: 'sm';
    md: 'md';
    lg: 'lg';
};
export declare const SkeletonSize: SkeletonSizeType;
export interface SkeletonProps extends Omit<PFSkeletonProps, 'size'> {
    size?: keyof SkeletonSizeType;
    isDark?: boolean;
}
declare const Skeleton: React.FunctionComponent<SkeletonProps>;
export default Skeleton;
