import React from 'react';
import './styles.scss';
import { TreeTableRowProps } from './helpers';
export type TreeTableDecoratorCollapse = (event: React.MouseEvent<HTMLButtonElement>, value: any, row: TreeTableRowProps) => void;
declare const treeTableDecorator: (onCollapse: TreeTableDecoratorCollapse) => (value?: {
    title: React.ReactNode;
} | string, { rowData, ...props }?: TreeTableRowProps) => {
    value: string | {
        title: React.ReactNode;
    };
    children: string | number | boolean | Iterable<React.ReactNode> | import("react/jsx-runtime").JSX.Element | null | undefined;
    className: string;
};
export default treeTableDecorator;
