var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Button } from '@patternfly/react-core/dist/dynamic/components/Button';
import AngleRightIcon from '@patternfly/react-icons/dist/dynamic/icons/angle-right-icon';
import '../TreeTable/styles.css';
var treeTableDecorator = function (onCollapse) {
    return function (value, _a) {
        if (value === void 0) { value = ''; }
        if (_a === void 0) { _a = { rowData: {} }; }
        var rowData = _a.rowData, props = __rest(_a, ["rowData"]);
        return ({
            value: value,
            children: rowData.level !== undefined ? (_jsxs("div", { className: "pf-v6-c-treeview__control", children: [rowData.isTreeOpen !== undefined && (_jsx("div", { className: "pf-v6-c-treeview__toggle", children: _jsx(Button, { icon: _jsx(AngleRightIcon, { className: "pf-v6-c-treeview__toggle-icon", "aria-hidden": "true" }), variant: "plain", onClick: function (event) { return onCollapse && onCollapse(event, value, __assign({ rowData: rowData }, props)); } }) })), _jsx("div", { className: "pf-v6-c-treeview__control-text", children: typeof value === 'object' ? value.title : value })] })) : typeof value === 'object' ? (value.title) : (value),
            className: rowData.level !== undefined ? 'pf-v6-c-treeview__title-cell' : '',
        });
    };
};
export default treeTableDecorator;
//# sourceMappingURL=decorator.js.map