import { RowWrapperProps } from '@patternfly/react-table';
export interface TreeTableRow extends RowWrapperProps {
    [index: string]: any;
    level: number;
    isTreeOpen?: boolean;
    point?: Point;
    posinset?: string | number;
    treeParent: number;
}
export interface RowData {
    level?: number;
    isTreeOpen?: boolean;
    id: number;
}
export interface TreeTableRowProps {
    rowData: Partial<RowData>;
}
export type Point = {
    size: number;
};
export declare const sizeCalculator: (rows: TreeTableRow[]) => TreeTableRow[];
export declare const collapseBuilder: (parentKey?: string) => (rows: TreeTableRow[], _e: any, _val: any, { rowData }: {
    rowData: RowData;
}) => TreeTableRow[];
